Bug 222802 - Anconda always istall all languages
Anconda always istall all languages
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On: 221258
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 04:32 EST by Jose Plans
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-16 10:26:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Plans 2007-01-16 04:32:56 EST
+++ This bug was initially created as a clone of Bug #221258 +++

Description of problem:
Anaconda always instals all supported languages, which wastes 120MB of disk
space. You can select one, two or three languages, but the usr/share/locale and
the usr/lib/locale end up with all languges.

Version-Release number of selected component (if applicable):


How reproducible:

Any installation

Steps to Reproduce:
1. Install from the CD
2. Select one language (say english)
3. At the end, look to /usr/lib/share/locale and /usr/lib/locale
  
Actual results:
All languages installed

Expected results:
Only the selected language installed

Additional info:

I have played a lot with the "ks.cfg" trying to create a bare-bones FC5 to
install in a 512M Flash, but this bug wastes 120MB of the disk, which prevents
me using Fedora in the flash.

-- Additional comment from katzj@redhat.com on 2007-01-03 14:03 EST --
This is intentional as you can't go back and add the languages later

-- Additional comment from fcarijo@omnisys.com.br on 2007-01-03 14:19 EST --
If it is so, the "System Administration Guide", item 1.4 Kickstart options
should be corrected, as it says that only choosing "default" with one language
installs everything:

langsupport (required)

    Sets the language(s) to install on the system. The same language codes used
with lang can be used with langsupport.

    To install one language, specify it. For example, to install and use the
French language fr_FR:

    langsupport fr_FR

    --default=

        If language support for more than one language is specified, a default
must be identified. 

    For example, to install English and French and use English as the default
language:

    langsupport --default=en_US fr_FR

    If you use --default with only one language, all languages are installed
with the specified language set to the default.
Comment 1 Jeremy Katz 2007-01-16 10:26:04 EST
This was a very intentional from RHEL 3 -> RHEL 4; if we don't install all of
the mo files, there is no way to add support for a language after the install
completes without going back and reinstalling all of the packages.
Comment 2 Justin Sherrill 2007-01-16 10:36:32 EST
I'm sorta confused.  So you're saying that by specifying one default language,
anaconda is intentionally installing all of the languages?  

This is not entirely clear from the documentation and is not intuitive behavior. 

One thing to note, is that when the problem occurs (i.e. --default en_US is
used), the "Canna" package is installed for inputting japanese characters,
wheras (when just en_US is used or "--default en_US fr_FR" is used, this package
is not installed).



Note You need to log in before you can comment on or make changes to this bug.